Index: ip_fw2.c
===================================================================
RCS file: /home/ncvs/src/sys/netinet/ip_fw2.c,v
retrieving revision 1.49
diff -u -p -r1.49 ip_fw2.c
--- ip_fw2.c	24 Nov 2003 03:57:03 -0000	1.49
+++ ip_fw2.c	26 Nov 2003 21:03:54 -0000
@@ -453,22 +453,16 @@ iface_match(struct ifnet *ifp, ipfw_insn
 static int
 verify_rev_path(struct in_addr src, struct ifnet *ifp)
 {
-	static struct route ro;
+	struct route ro;
 	struct sockaddr_in *dst;
 
-	dst = (struct sockaddr_in *)&(ro.ro_dst);
-
-	/* Check if we've cached the route from the previous call. */
-	if (src.s_addr != dst->sin_addr.s_addr) {
-		ro.ro_rt = NULL;
+	bzero(&ro, sizeof(ro));
 
-		bzero(dst, sizeof(*dst));
-		dst->sin_family = AF_INET;
-		dst->sin_len = sizeof(*dst);
-		dst->sin_addr = src;
-
-		rtalloc_ign(&ro, RTF_CLONING);
-	}
+	dst = (struct sockaddr_in *)&(ro.ro_dst);
+	dst->sin_family = AF_INET;
+	dst->sin_len = sizeof(*dst);
+	dst->sin_addr = src;
+	rtalloc_ign(&ro, RTF_CLONING);
 
 	if (ro.ro_rt == NULL)
 		return 0;
